#!/bin/ksh
#
-# $OpenBSD: amd,v 1.9 2018/01/11 21:09:26 rpe Exp $
+# $OpenBSD: amd,v 1.10 2022/05/21 12:42:21 ajacoutot Exp $
daemon="/usr/sbin/amd"
}
rc_start() {
- ${rcexec} "cd /etc/amd; ${daemon} ${daemon_flags}"
+ rc_exec "cd /etc/amd; ${daemon} ${daemon_flags}"
}
rc_cmd $1
#!/bin/ksh
#
-# $OpenBSD: bgpd,v 1.5 2019/01/21 01:41:16 claudio Exp $
+# $OpenBSD: bgpd,v 1.6 2022/05/21 12:42:21 ajacoutot Exp $
daemon="/usr/sbin/bgpd"
# child will not return a config parsing error to the parent
rc_pre() {
- # use rcexec here since daemon_flags may contain arguments with spaces
- ${rcexec} "${daemon} -n ${daemon_flags}"
+ # use rc_exec here since daemon_flags may contain arguments with spaces
+ rc_exec "${daemon} -n ${daemon_flags}"
}
rc_cmd $1
#!/bin/ksh
#
-# $OpenBSD: httpd,v 1.7 2019/01/21 01:41:16 claudio Exp $
+# $OpenBSD: httpd,v 1.8 2022/05/21 12:42:21 ajacoutot Exp $
daemon="/usr/sbin/httpd"
# child will not return a config parsing error to the parent
rc_pre() {
- # use rcexec here since daemon_flags may contain arguments with spaces
- ${rcexec} "${daemon} -n ${daemon_flags}"
+ # use rc_exec here since daemon_flags may contain arguments with spaces
+ rc_exec "${daemon} -n ${daemon_flags}"
}
rc_cmd $1
#!/bin/ksh
#
-# $OpenBSD: iked,v 1.7 2019/01/21 01:41:16 claudio Exp $
+# $OpenBSD: iked,v 1.8 2022/05/21 12:42:21 ajacoutot Exp $
daemon="/sbin/iked"
[[ ${sasyncd_flags} != NO ]] &&
daemon_flags="-S ${daemon_flags}"
- # use rcexec here since daemon_flags may contain arguments with spaces
- ${rcexec} "${daemon} -n ${daemon_flags}"
+ # use rc_exec here since daemon_flags may contain arguments with spaces
+ rc_exec "${daemon} -n ${daemon_flags}"
}
rc_cmd $1
#!/bin/ksh
#
-# $OpenBSD: iscsid,v 1.2 2018/01/11 19:52:12 rpe Exp $
+# $OpenBSD: iscsid,v 1.3 2022/05/21 12:42:21 ajacoutot Exp $
daemon="/usr/sbin/iscsid"
control="/usr/sbin/iscsictl"
rc_stop=NO
rc_start() {
- ${rcexec} "${daemon} ${daemon_flags} && ${control} reload"
+ rc_exec "${daemon} ${daemon_flags} && ${control} reload"
}
rc_cmd $1
#!/bin/ksh
#
-# $OpenBSD: nsd,v 1.11 2019/05/12 18:52:43 tim Exp $
+# $OpenBSD: nsd,v 1.12 2022/05/21 12:42:21 ajacoutot Exp $
daemon="/usr/sbin/nsd-control"
daemon_flags="-c /var/nsd/etc/nsd.conf"
rc_usercheck=NO
rc_start() {
- ${rcexec} "${daemon} ${daemon_flags} start"
+ rc_exec "${daemon} ${daemon_flags} start"
}
rc_check() {
#!/bin/ksh
#
-# $OpenBSD: relayd,v 1.6 2019/01/21 01:41:16 claudio Exp $
+# $OpenBSD: relayd,v 1.7 2022/05/21 12:42:21 ajacoutot Exp $
daemon="/usr/sbin/relayd"
# Child will not return a config parsing error to the parent.
rc_pre() {
- # use rcexec here since daemon_flags may contain arguments with spaces
- ${rcexec} "${daemon} -n ${daemon_flags}"
+ # use rc_exec here since daemon_flags may contain arguments with spaces
+ rc_exec "${daemon} -n ${daemon_flags}"
}
rc_cmd $1
#!/bin/ksh
#
-# $OpenBSD: spamd,v 1.10 2018/01/11 21:09:26 rpe Exp $
+# $OpenBSD: spamd,v 1.11 2022/05/21 12:42:21 ajacoutot Exp $
daemon="/usr/libexec/spamd"
}
rc_start() {
- ${rcexec} "${daemon} ${daemon_flags}" || return 1
+ rc_exec "${daemon} ${daemon_flags}" || return 1
/usr/libexec/spamd-setup -D ${spamd_setup_flags}
}
#!/bin/ksh
#
-# $OpenBSD: vmd,v 1.10 2019/01/21 01:41:16 claudio Exp $
+# $OpenBSD: vmd,v 1.11 2022/05/21 12:42:21 ajacoutot Exp $
daemon="/usr/sbin/vmd"
# Child will not return a config parsing error to the parent.
rc_pre() {
- # use rcexec here since daemon_flags may contain arguments with spaces
- ${rcexec} "${daemon} -n ${daemon_flags}"
+ # use rc_exec here since daemon_flags may contain arguments with spaces
+ rc_exec "${daemon} -n ${daemon_flags}"
}
rc_stop() {